### Method

# Meta Window foreach_transient

#### Declaration [src]

    void
    meta_window_foreach_transient (
      MetaWindow* window,
      MetaWindowForeachFunc func,
      void* user_data
    )

#### Description [src]

Call `func` for every window which is either transient for `window`, or is a transient of a window which is in turn transient for `window`. The order of window enumeration is not defined.

Iteration will stop if `func` at any point returns `FALSE`.

#### Parameters

`func`

  Type: `MetaWindowForeachFunc`

  Called for each window which is a transient of `window` (transitively).

`user_data`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.